Bug 995878 - SELinux is preventing /usr/bin/perl from 'unlink' accesses on the file zm.mmap.1.
SELinux is preventing /usr/bin/perl from 'unlink' accesses on the file zm.mma...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-11 14:36 EDT by Allen
Modified: 2016-06-06 19:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-24 13:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
list of zoneminder avc logs (1.48 KB, text/plain)
2013-08-21 05:58 EDT, Lukas Vrabec
no flags Details

  None (edit)
Description Allen 2013-08-11 14:36:52 EDT
Description of problem:
Updated libraries
SELinux is preventing /usr/bin/perl from 'unlink' accesses on the file zm.mmap.1.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that perl should be allowed unlink access on the zm.mmap.1 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep zmpkg.pl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:zoneminder_t:s0
Target Context                unconfined_u:object_r:user_tmpfs_t:s0
Target Objects                zm.mmap.1 [ file ]
Source                        zmpkg.pl
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.16.3-265.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-11 08:37:39 PDT
Last Seen                     2013-08-11 08:37:39 PDT
Local ID                      3988d192-2b1d-4f80-bccd-afa907cb119c

Raw Audit Messages
type=AVC msg=audit(1376235459.753:42887): avc:  denied  { unlink } for  pid=19794 comm="zmpkg.pl" name="zm.mmap.1" dev="tmpfs" ino=30129005 scontext=system_u:system_r:zoneminder_t:s0 tcontext=unconfined_u:object_r:user_tmpfs_t:s0 tclass=file

type=SYSCALL msg=audit(1376235459.753:42887): arch=x86_64 syscall=unlink success=yes exit=0 a0=2088d00 a1=26 a2=1 a3=118 items=0 ppid=1 pid=19794 auid=4294967295 uid=48 gid=486 euid=48 suid=48 fsuid=48 egid=486 sgid=486 fsgid=486 ses=4294967295 tty=(none) comm=zmpkg.pl exe=/usr/bin/perl subj=system_u:system_r:zoneminder_t:s0 key=(null)

Hash: zmpkg.pl,zoneminder_t,user_tmpfs_t,file,unlink

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport
Comment 1 Allen 2013-08-11 14:45:21 EDT
Description of problem:
Updated libs

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport
Comment 2 Daniel Walsh 2013-08-15 14:16:40 EDT
Why is zoneminder looking at user content in a tmpfs?  Where is zm.mmap.1 located?
Comment 3 Miroslav Grepl 2013-08-19 11:45:27 EDT
What were you doing when this happened?
Comment 4 Allen 2013-08-19 18:16:43 EDT
Trying to start zoneminder after the latest (as of the day before) Fedora patches had been applied.
ZoneMinder creates temporary files under and uses  /dev/shm/.
Comment 6 Lukas Vrabec 2013-08-21 05:58:22 EDT
Created attachment 788782 [details]
list of zoneminder avc logs

Hi Allen, 

Could you compare my AVC list with your logs, see the same AVC logs or you just got the problem with that you post above?
Comment 7 Allen 2016-06-06 19:20:18 EDT
Closed in 2013 and yet I am still getting nag emails about this.
This was opened with two associated tickets one of which was quickly marked as "Won't Fix" which made this and the other one useless.

Note You need to log in before you can comment on or make changes to this bug.